## org.eclipse.contribution.visualiser.palettes
Class BrightVisualiserPalette

    java.lang.Object
      org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette
          org.eclipse.contribution.visualiser.palettes.BrightVisualiserPalette

All Implemented Interfaces:
  IVisualiserPalette

public class BrightVisualiserPalette
extends DefaultVisualiserPalette

Bright and high-contrast colours, good for projectors

Field Summary
`protected static org.eclipse.swt.graphics.RGB` `brightBlue`
`protected static org.eclipse.swt.graphics.RGB` `brightCyan`
`protected static org.eclipse.swt.graphics.RGB` `brightGreen`
`protected static org.eclipse.swt.graphics.RGB` `brightOrange`
`protected static org.eclipse.swt.graphics.RGB` `brightPink`
`protected static org.eclipse.swt.graphics.RGB` `brightPurple`
`protected static org.eclipse.swt.graphics.RGB` `brightYellow`

Fields inherited from class org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette

`blue1, blue2, blue3, blue4, blue5, cyan1, cyan2, cyan3, cyan4, cyan5, green1, green2, green3, green4, green5, indigo1, indigo2, indigo3, indigo4, indigo5, lightblue1, lightblue2, lightblue3, lightblue4, lightblue5, mint1, mint2, mint3, mint4, mint5, orange1, orange2, orange3, orange4, orange5, pink1, pink2, pink3, pink4, pink5, purple1, purple2, purple3, purple4, purple5, red1, red2, red3, red4, red5, swamp1, swamp2, swamp3, swamp4, swamp5, yellow1, yellow2, yellow3, yellow4, yellow5`

Constructor Summary
`BrightVisualiserPalette()`

Method Summary
`org.eclipse.swt.graphics.RGB[]` `getRGBValues()` Return the array of RGB values for this palette.

Methods inherited from class org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette
`getRandomRGBValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### brightBlue

    protected static org.eclipse.swt.graphics.RGB brightBlue

### brightGreen

    protected static org.eclipse.swt.graphics.RGB brightGreen

### brightPurple

    protected static org.eclipse.swt.graphics.RGB brightPurple

### brightPink

    protected static org.eclipse.swt.graphics.RGB brightPink

### brightOrange

    protected static org.eclipse.swt.graphics.RGB brightOrange

### brightCyan

    protected static org.eclipse.swt.graphics.RGB brightCyan

### brightYellow

    protected static org.eclipse.swt.graphics.RGB brightYellow

Constructor Detail

### BrightVisualiserPalette

    public BrightVisualiserPalette()

Method Detail

### getRGBValues

    public org.eclipse.swt.graphics.RGB[] getRGBValues()

  Description copied from interface: `IVisualiserPalette`
  Return the array of RGB values for this palette. The array can be of any length - if the array is exhausted, the getRandomRGBValue() method will be used.

  Specified by:
    `getRGBValues` in interface `IVisualiserPalette`
  Overrides:
    `getRGBValues` in class `DefaultVisualiserPalette`